Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIFunction.Properties

    java.lang.Object
      java.lang.Enum<UIFunction.Properties>
          org.richfaces.component.UIFunction.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIFunction.Properties>

Enclosing class:
  UIFunction

    protected static enum UIFunction.Properties

extends Enum<UIFunction.Properties>

Enum Constant Summary
`bypassUpdates`
`data`
`execute`
`limitRender`
`name`
`onbeforedomupdate`
`onbegin`
`oncomplete`
`render`
`status`

Method Summary
`static UIFunction.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIFunction.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### bypassUpdates

    public static final UIFunction.Properties bypassUpdates

### data

    public static final UIFunction.Properties data

### execute

    public static final UIFunction.Properties execute

### limitRender

    public static final UIFunction.Properties limitRender

### name

    public static final UIFunction.Properties name

### onbeforedomupdate

    public static final UIFunction.Properties onbeforedomupdate

### onbegin

    public static final UIFunction.Properties onbegin

### oncomplete

    public static final UIFunction.Properties oncomplete

### render

    public static final UIFunction.Properties render

### status

    public static final UIFunction.Properties status

Method Detail

### values

    public static UIFunction.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIFunction.Properties c : UIFunction.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIFunction.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.